#!/bin/bash

# Partir du répertoire courant
# Afficher les droits d'accès (pour moi) de chacun des répertoires entre
# le répertoire courant et la racine de l'arborescence

# Exemple : si j'exécute ce script dans /home/benjamin/inf203
# J'afficherai les droits pour /home/benjamin/inf203, pour /home/benjamin, pour /home et pour /

DIR=$(pwd)

while [ $DIR != / ]
do
    AFFICHAGE=$DIR' '
    if [ -r $DIR ]
    then
        AFFICHAGE=$AFFICHAGE'r'
    else
        AFFICHAGE=$AFFICHAGE'-'
    fi
    if [ -w $DIR ]
    then
        AFFICHAGE=$AFFICHAGE'w'
    else
        AFFICHAGE=$AFFICHAGE'-'
    fi
    if [ -x $DIR ]
    then
        AFFICHAGE=$AFFICHAGE'x'
    else
        AFFICHAGE=$AFFICHAGE'-'
    fi
    echo $AFFICHAGE
    DIR=$(dirname $DIR)
done