#!/bin/bash

# Écrire un script qui prend un nom de fichier en argument
# et cherche ce fichier dans le répertoire courant et tous ses sous-répertoires

if [ $# -ne 1 ]
then
    exit 1
fi

for DIR in * .
do
    if [ -d $DIR ]
    then
        if [ -f $DIR/$1 ]
        then
            echo $1 est présent dans $DIR
        fi
    fi
done