#!/bin/bash

# Cherche un fichier dans tous les sous-répertoires du répertoire courant
# récursivement

if [ $# -ne 1 ]
then
    exit 1
fi

chercher() { # Son argument est l'endroit où on cherche
    if [ -f "$1/$FICH" ]
    then
        echo $FICH est présent dans $1
    fi

#    echo $1

    for DIR in $1/*
    do
        if [ -d "$DIR" ]
        then
            chercher "$DIR"
        fi
    done
}

FICH=$1
chercher .