#!/bin/bash

# Ce script prend un nom de répertoire en argument
# Il copie chaque fichier .sh de ce répertoire sous le même nom mais avec l'extension .bak

if [ $# -ne 1    -o     ! -d $1 ]
then
    echo Utilisation : $0 DIR
    exit 1
fi

for FICH in $1/*.sh
do
    if [ -f $FICH ] ...
    NOM=$(basename $FICH .sh)
    cp $FICH $1/$NOM.bak
done